maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benjamin Bentmann (JIRA)" <j...@codehaus.org>
Subject [jira] Updated: (MNG-4958) Allow plugin to declare fields of type password
Date Tue, 04 Jan 2011 18:28:57 GMT

     [ http://jira.codehaus.org/browse/MNG-4958?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Benjamin Bentmann updated MNG-4958:
-----------------------------------

    Affects Version/s:     (was: 3.0.2)
                           (was: 3.x / Backlog)
                           (was: 3.1)
                           (was: 2.2.2)
                           (was: 2.0.11)
                           (was: 2.0.10)
                           (was: 2.0.9)
                           (was: Documentation Deficit)
                           (was: Issues to be reviewed for 3.x)
                           (was: 3.0)
                           (was: 2.2.x (to be reviewed))

> Allow plugin to declare fields of type password
> -----------------------------------------------
>
>                 Key: MNG-4958
>                 URL: http://jira.codehaus.org/browse/MNG-4958
>             Project: Maven 2 & 3
>          Issue Type: New Feature
>          Components: Plugin API
>    Affects Versions: 2.2.1, 3.0.1
>            Reporter: Julien Nicoulaud
>
> Currently, encrypted passwords can only be used in the <servers> section.
> It would be nice if plugins could declare fields of type Password instead of String,
on which password decryption would be attempted. There are many examples of plugins that require
passwords or passphrases, such as maven-gpg-plugin or maven-jarsigner-plugin.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message